<?php

error_reporting(0);



	session_name('excel_a_webservices');

    session_start();



//isset($_SESSION['xmlreturn'])?"":header("Location:index.php");



$txt = isset($_SESSION['xmlreturn'])?$_SESSION['xmlreturn']:'';

$Estatus = $value['Estatus'];//borrar

$ID2=$value['id'];//borrar

$valor=($txt);



$Finterno = !isset($value['FInterno'])?'': base64_decode($value['FInterno']);//borrar

$Ffacturar = !isset($value['Ffacturar'])?'':$value['Ffacturar'];//borrar





require_once 'pdf/autoload.inc.php';

use Dompdf\Dompdf;

use Dompdf\Options;

$options = new Options();



$options->set('chroot', 'C:\xampp\htdocs');



$dompdf = new Dompdf($options);



function rellena($texto_,$deque_,$longitud)

{

    $cad=$texto_;



    $cad_exp = explode('.',$cad);



    $i=strlen($cad_exp[0]);

    $restan=$longitud - $i;



    for($k=0;$k<$restan;$k++)

    {

        $ceros = $ceros.$deque_;

    }

    $resultado=$ceros.$cad;

    return $resultado;

}



function ejemplo($valor,$Finterno,$Ffacturar, $Estatus)

{

    include_once("pdf/phpqrcode/qrlib.php");



    if (@simplexml_load_string($valor)) {

		

		if (@simplexml_load_string($valor)) {

        @$xmlDoc = simplexml_load_string( utf8_encode(utf8_decode($valor)));

        $xmlDoc->registerXPathNamespace('cfdi', 'http://www.sat.gob.mx/cfd/3');



        @$xpath = '/cfdi:Comprobante';

        foreach ($xmlDoc->xpath($xpath) as $autor) {



            if ($autor['Version'] == "") {

            } else {

                $regreso['Version'] = (rtrim($autor['Version']));

            }





            if ($autor['Sello'] == "") {

            } else {

                $regreso['selo'] = (rtrim($autor['Sello']));

            }



            if ($autor['Certificado'] == "") {

            } else {

                $regreso['Certificado'] = (rtrim($autor['Certificado']));

            }



            if ($autor['NoCertificado'] == "") {

            } else {

                $regreso['noCertificado'] = (rtrim($autor['NoCertificado']));

            }



            if ($autor['Fecha'] == "") {

            } else {

                $regreso['fecha'] = (rtrim($autor['Fecha']));

            }



            if ($autor['TipoDeComprobante'] == "") {

            } else {

                $regreso['tipoDeComprobante'] = (rtrim($autor['TipoDeComprobante']));

            }



            if ($autor['MetodoPago'] == "") {

            } else {

                $regreso['metodoDePago'] = (rtrim($autor['MetodoPago']));

            }



            if ($autor['FormaPago'] == "") {

            } else {

                $regreso['formaDePago'] = (rtrim($autor['FormaPago']));

            }



            if ($autor['CondicionesDePago'] == "") {

            } else {

                $regreso['condicionesDePago'] = (rtrim($autor['CondicionesDePago']));

            }





            if ($autor['SubTotal'] == "") {

            } else {

                $regreso['subTotal'] = (rtrim($autor['SubTotal']));

            }



            if ($autor['Descuento'] == "") {

            } else {

                $regreso['descuento'] = (rtrim($autor['Descuento']));

            }



            if ($autor['TipoCambio'] == "") {

            } else {

                $regreso['TipoCambio'] = (rtrim($autor['TipoCambio']));

            }



            if ($autor['Moneda'] == "") {

            } else {

                $regreso['Moneda'] = (rtrim($autor['Moneda']));

            }



            if ($autor['Total'] == "") {

            } else {

                $regreso['total'] = (rtrim($autor['Total']));

            }



            if ($autor['Serie'] == "") {

            } else {

                $regreso['serie'] = (rtrim($autor['Serie']));

            }



            if ($autor['Folio'] == "") {

            } else {

                $regreso['folio'] = (rtrim($autor['Folio']));

            }



            if ($autor['NumCtaPago'] == "") {

            } else {

                $regreso['NumCtaPago'] = (rtrim($autor['NumCtaPago']));

            }

			

			if ($autor['LugarExpedicion'] == "") {

            } else {

                $regreso['LugarExpedicion'] = (rtrim($autor['LugarExpedicion']));

            }

						/*SIN AGREGAR*/

			if ($autor['TipoDeComprobante'] == "") {

            } else {

                $regreso['TipoDeComprobante'] = (rtrim($autor['TipoDeComprobante']));

            }





        }



        @$xpath = '/cfdi:Comprobante/cfdi:Emisor';

        foreach ($xmlDoc->xpath($xpath) as $autor1) {



            if ($autor1['Rfc'] == "") {

            } else {

                $regreso['rfcE'] = (rtrim($autor1['Rfc']));

            }

            if ($autor1['Nombre'] == "") {

            } else {

                $regreso['nombreE'] = (rtrim($autor1['Nombre']));

            }

			

			      if ($autor1['RegimenFiscal'] == "") {

            } else {

				if($autor1['RegimenFiscal']=='601'){

					$regimenFiscal = $autor1['RegimenFiscal'].'-'.'General de Ley Personas Morales';}

				elseif($autor1['RegimenFiscal']=='620'){

					$regimenFiscal = $autor1['RegimenFiscal'].'-'.'Sociedades Cooperativas de Producción que optan por diferir sus ingresos';

				}

				else{$regimenFiscal = $autor1['RegimenFiscal'];}

                $regreso['regimen'] .=  '<tr><td align="left"> Régimen fiscal : '.$regimenFiscal.'</td></tr>';

            }

			

		

			

        }



		

		$xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:DomicilioEmisor';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        //@$xpath = '/cfdi:Comprobante/cfdi:Emisor/cfdi:DomicilioFiscal';

		

        foreach ($xmlDoc->xpath($xpathAD) as $autor2) {



            if ($autor2['calle'] == "") {

            } else {

                $regreso['calle'] = (rtrim($autor2['calle']));

            }

            if ($autor2['NoExterior'] == "") {

            } else {

                $regreso['noExterior'] = (rtrim($autor2['NoExterior']));

            }

            if ($autor2['NoInterior'] == "") {

            } else {

                $regreso['noInterior'] = (rtrim($autor2['NoInterior']));

            }

            if ($autor2['colonia'] == "") {

            } else {

                $regreso['colonia'] = (rtrim($autor2['colonia']));

            }

            if ($autor2['localidad'] == "") {

            } else {

                $regreso['localidad'] = (rtrim($autor2['localidad']));

            }

            if ($autor2['referencia'] == "") {

            } else {

                $regreso['referencia'] = (rtrim($autor2['referencia']));

            }

            if ($autor2['municipio'] == "") {

            } else {

                $regreso['municipio'] = (rtrim($autor2['municipio']));

            }

            if ($autor2['estado'] == "") {

            } else {

                $regreso['estado'] = (rtrim($autor2['estado']));

            }

            if ($autor2['pais'] == "") {

            } else {

                $regreso['pais'] = (rtrim($autor2['pais']));

            }

            if ($autor2['codigoPostal'] == "") {

            } else {

                $regreso['codigoPostal'] = (rtrim($autor2['codigoPostal']));

            }

        }



		

		$xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:DomicilioSucursal';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        //@$xpath = '/cfdi:Comprobante/cfdi:Emisor/cfdi:ExpedidoEn';

        foreach ($xmlDoc->xpath($xpathAD) as $autor3) {



            if ($autor3['calle'] == "") {

            } else {

                $regreso['calle1'] = (rtrim($autor3['calle']));

            }

            if ($autor3['NoExterior'] == "") {

            } else {

                $regreso['noExterior1'] = (rtrim($autor3['NoExterior']));

            }

            if ($autor3['NoInterior'] == "") {

            } else {

                $regreso['noInterior1'] = (rtrim($autor3['NoInterior']));

            }

            if ($autor3['colonia'] == "") {

            } else {

                $regreso['colonia1'] = (rtrim($autor3['colonia']));

            }

            if ($autor3['localidad'] == "") {

            } else {

                $regreso['localidad1'] = (rtrim($autor3['localidad']));

            }

            if ($autor3['referencia'] == "") {

            } else {

                $regreso['referencia1'] = (rtrim($autor3['referencia']));

            }

            if ($autor3['municipio'] == "") {

            } else {

                $regreso['municipio1'] = (rtrim($autor3['municipio']));

            }

            if ($autor3['estado'] == "") {

            } else {

                $regreso['estado1'] = (rtrim($autor3['estado']));

            }

            if ($autor3['pais'] == "") {

            } else {

                $regreso['pais1'] = (rtrim($autor3['pais']));

            }

            if ($autor3['codigoPostal'] == "") {

            } else {

                $regreso['codigoPostal1'] = (rtrim($autor3['codigoPostal']));

            }

        }



        @$xpath = '/cfdi:Comprobante/cfdi:Receptor';

        foreach ($xmlDoc->xpath($xpath) as $autor4) {



            if ($autor4['Rfc'] == "") {

            } else {

                $regreso['rfcR'] = (rtrim($autor4['Rfc']));

            }

            if ($autor4['Nombre'] == "") {

            } else {

                $regreso['nombreR'] = (rtrim($autor4['Nombre']));

            }

			

			    if ($autor4['UsoCFDI'] == "") {

            } else {

				if($autor4['UsoCFDI'] == 'P01'){

					$UsoCFDI = 'Por definir'.'-'.$autor4['UsoCFDI']; 

					}elseif($autor4['UsoCFDI'] == 'G03'){

					$UsoCFDI = 'Gastos en general'.'-'.$autor4['UsoCFDI'];

					}else

					{ $UsoCFDI = $autor4['UsoCFDI']; }

                $regreso['UsoCFDI'] = $UsoCFDI;

            }

			

        }

		

		$xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:DomicilioReceptor';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        //@$xpath = '/cfdi:Comprobante/cfdi:Receptor/cfdi:Domicilio';

        foreach ($xmlDoc->xpath($xpathAD) as $autor5) {



            if ($autor5['calle'] == "") {

            } else {

                $regreso['calle2'] = (rtrim($autor5['calle']));

            }

            if ($autor5['NoExterior'] == "") {

            } else {

                $regreso['noExterior2'] = (rtrim($autor5['NoExterior']));

            }

            if ($autor5['NoInterior'] == "") {

            } else {

                $regreso['noInterior2'] = (rtrim($autor5['NoInterior']));

            }

            if ($autor5['colonia'] == "") {

            } else {

                $regreso['colonia2'] = (rtrim($autor5['colonia']));

            }

            if ($autor5['localidad'] == "") {

            } else {

                $regreso['localidad2'] = (rtrim($autor5['localidad']));

            }

            if ($autor5['referencia'] == "") {

            } else {

                $regreso['referencia2'] = (rtrim($autor5['referencia']));

            }

            if ($autor5['municipio'] == "") {

            } else {

                $regreso['municipio2'] = (rtrim($autor5['municipio']));

            }

            if ($autor5['estado'] == "") {

            } else {

                $regreso['stado2'] = (rtrim($autor5['estado']));

            }

            if ($autor5['pais'] == "") {

            } else {

                $regreso['pais2'] = (rtrim($autor5['pais']));

            }

            if ($autor5['codigoPostal'] == "") {

            } else {

                $regreso['codigoPostal2'] = (rtrim($autor5['codigoPostal']));

            }

        }



        @$xpathSD = '//tfd:TimbreFiscalDigital';

        $xmlDoc->registerXPathNamespace('tfd', 'http://www.sat.gob.mx/TimbreFiscalDigital');

        foreach ($xmlDoc->xpath($xpathSD) as $cfdiTimbreFiscalDigital) {

            $regreso['UUID'] = $cfdiTimbreFiscalDigital['UUID'];

            $regreso['selloCFD'] = $cfdiTimbreFiscalDigital['SelloCFD'];

            $regreso['noCertificadoSAT'] = $cfdiTimbreFiscalDigital['NoCertificadoSAT'];

            $regreso['FechaTimbrado'] = $cfdiTimbreFiscalDigital['FechaTimbrado'];

            $regreso['selloSAT'] = $cfdiTimbreFiscalDigital['SelloSAT'];

			$regreso['RfcProvCertif'] = $cfdiTimbreFiscalDigital['RfcProvCertif'];

        }



        @$xpath = '/cfdi:Comprobante/cfdi:Impuestos';

        foreach ($xmlDoc->xpath($xpath) as $impueR){

                $regreso['TImpuestosRetenidos'] = $impueR['totalImpuestosRetenidos'];

				$regreso['TImpuestosTrasladados'] = $impueR['TotalImpuestosTrasladados'];

            }



        if(( @$xpath='/cfdi:Comprobante/cfdi:Impuestos/cfdi:Traslados/cfdi:Traslado')==true){

            @$xpath='/cfdi:Comprobante/cfdi:Impuestos/cfdi:Traslados/cfdi:Traslado';

            foreach($xmlDoc->xpath($xpath) as $autor53){



			 if($autor53['Impuesto'] == '001'){

					 $c_Impuesto1 = $autor53['Impuesto'].'-'.'ISR';

				 }elseif($autor53['Impuesto'] == '002' ){

					 $c_Impuesto1 = $autor53['Impuesto'].'-'.'IVA';

				}elseif($autor53['Impuesto'] == '003'){

					 $c_Impuesto1 = $autor53['Impuesto'].'-'.'IEPS';

				 }else{$c_Impuesto = $autor53['Impuesto'];}

			

                if ($autor53['Impuesto']=="") {}else{

                    $regreso['Traslado']['impuesto'].=$c_Impuesto1; }

                if ($autor53['TasaOCuota']=="")     {}else{

                    $regreso['Traslado']['tasa'].=rtrim($autor53['TasaOCuota']);     }

                if ($autor53['Importe']=="")  {}else{

                    $regreso['Traslado']['importe'].=rtrim($autor53['Importe']);  }

				if ($autor53['TipoFactor']=="")  {}else{

                    $regreso['Traslado']['TipoFactor'].=rtrim($autor53['TipoFactor']);  }

					

            }

        }



        @$xPath='/cfdi:Comprobante/cfdi:Conceptos/cfdi:Concepto';

        if($xmlDoc->xpath($xPath)){

            $i=1;

			$tasaOCuotaIm = 0 ;

            foreach($xmlDoc->xpath($xPath) as  $int => $cfdiConcepto){

                $i++;

                if($i%2==0){

                    $tabulador = 'even_row';

                }else{

                    $tabulador = 'odd_row';

                }

                $regreso['partidasConcepto'] .= '<tr class="'.$tabulador.'">

                       <td style="text-align: center">'.$cfdiConcepto['Cantidad'].'</td>'

					   . '<td style="text-align: center">'.$cfdiConcepto['ClaveProdServ'].'</td>'

                    . '<td style="text-align: center">'.$cfdiConcepto['Unidad'].'</td>'

                    . '<td style="text-align: left">'.$cfdiConcepto['Descripcion'].'</td>'

					. '<td style="text-align: left">'.$cfdiConcepto['ClaveUnidad'].'</td>'

                    . '<td style="text-align: right">$ '.$cfdiConcepto['ValorUnitario'].'</td>'

                    . '<td style="text-align: right">$ '.$cfdiConcepto['Importe'].'</td></tr>';

					

					$intAvanzadoConcepto = $int + 1;

                $xpathImpuestoConcepto='/cfdi:Comprobante/cfdi:Conceptos/cfdi:Concepto['.$intAvanzadoConcepto.']/cfdi:Impuestos/cfdi:Traslados/cfdi:Traslado';

				 foreach($xmlDoc->xpath($xpathImpuestoConcepto) as  $int => $cfdiConceptoImp){$tasaOCuotaIm = floatval($cfdiConceptoImp['TasaOCuota']) * 100;

				 

				 if($cfdiConceptoImp['Impuesto'] == '001'){

					 $c_Impuesto = $cfdiConceptoImp['Impuesto'].'-'.'ISR';

				 }elseif($cfdiConceptoImp['Impuesto'] == '002' ){

					 $c_Impuesto = $cfdiConceptoImp['Impuesto'].'-'.'IVA';

				}elseif($cfdiConceptoImp['Impuesto'] == '003'){

					 $c_Impuesto = $cfdiConceptoImp['Impuesto'].'-'.'IEPS';

				 }else{$c_Impuesto = $cfdiConceptoImp['Impuesto'];}

				 

				$regreso['partidasConcepto'] .= '<tr class="'.$tabulador.'">

                       <td style="text-align: center" colspan="7" > Base: '.$cfdiConceptoImp['Base'].' Impuesto: '.$c_Impuesto.' Tipo de factor : '.$cfdiConceptoImp['TipoFactor'].' Tasa o cuota : '. number_format($tasaOCuotaIm,2,'.',' ').'%  Importe : '.$cfdiConceptoImp['Importe'].'</td></tr>';

				 }

					

					

                $intAvanzado = $int + 1;

                $xpathIedu='/cfdi:Comprobante/cfdi:Conceptos/cfdi:Concepto['.$intAvanzado.']/cfdi:ComplementoConcepto/iedu:instEducativas';

                $xmlDoc->registerXPathNamespace('iedu','http://www.sat.gob.mx/iedu');

                if($xmlDoc->registerXPathNamespace('iedu','http://www.sat.gob.mx/iedu')){

                    foreach($xmlDoc->xpath($xpathIedu) as  $iedu){



                        $regreso['nombreAlumno'] =  isset($iedu['nombreAlumno'])?$iedu['nombreAlumno']:'';

                        $regreso['CURP'] = isset($iedu['CURP'])?$iedu['CURP']:'';



                        $regreso['IEDUPartidas'] .=

                            '

<tr class="'.$tabulador.'"><td style="text-align: right">NOMBRE DEL ALUMNO:</td><td style="text-align: left">'.$iedu['nombreAlumno'].'</td><td style="text-align: right">CURP:</td><td style="text-align: left">'.$iedu['CURP'].'</td></tr>

<tr class="'.$tabulador.'"><td style="text-align: right"> NIVEL EDUCATIVO:</td><td style="text-align: left">'.$iedu['nivelEducativo'].'</td><td style="text-align: right">autRVOE:</td><td style="text-align: left">'.$iedu['autRVOE'].'</td></tr>

<tr class="'.$tabulador.'"><td style="text-align: right"> RFC PAGO:</td><td style="text-align: left">'.$iedu['rfcPago'].'</td><td>&nbsp;</td><td style="text-align: left">&nbsp;</td>     </tr>';

                    }

                }

            }

        }



        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:NombreAlumno';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $NombreAlumno)

            $regreso['NombreAlumno'] = isset($NombreAlumno[0])?$NombreAlumno[0]:'';





        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:FInterno';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $FInterno)

            $regreso['FInterno'] = isset($FInterno[0])?$FInterno[0]:'';



        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:Ffacturar';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $Ffacturar)

            $regreso['Ffacturar'] = isset($Ffacturar[0])?$Ffacturar[0]:'';



        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:Sucursal';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $Sucursal)

            $regreso['Sucursal'] = isset($Sucursal[0])?$Sucursal[0]:'';



        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:Curp';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $Curp)

            $regreso['CurpAddenda'] = isset($Curp[0])?$Curp[0]:'';



        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:Mat';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $Mat)

            $regreso['Mat'] = isset($Mat[0])?$Mat[0]:'';



        $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:MatriculaAlumno';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $MatriculaAlumno)

            $regreso['MatriculaAlumno'] = isset($MatriculaAlumno[0])?$MatriculaAlumno[0]:'';



			/*DomicilioFiscalEmisor*/

       /* $xpathAD = '//OTRO:AddendaEmisor/OTRO:RequestForPayment/OTRO:DomicilioEmisor';

        $veraa = $xmlDoc->registerXPathNamespace('OTRO', 'http://www.pegasotecnologia.com/secfd/Schemas');

        foreach ($xmlDoc->xpath($xpathAD) as $DomicilioEmisor){

            $regreso['DomicilioEmisor'] = isset($DomicilioEmisor[0])?$DomicilioEmisor[0]:'';

			$regreso['calleAddendaEmisor'] = $DomicilioEmisor['calle'];

			$regreso['calleAddendaNoInterior'] = $DomicilioEmisor['NoInterior'];

			$regreso['calleAddendacol'] = $DomicilioEmisor['col'];

		}*/

			

			

		}

    	

            /**//*quito el } en caso de error con el xml *//**/

    if($regreso['IEDUPartidas']!=''){

        $regreso['IEDUPartidas'] = '<table style="width: 100%; border-top: 3px solid rgb(0, 33, 142); font-size: 8pt; " border="0" >'. $regreso['IEDUPartidas'];

        $regreso['IEDUPartidas'] = $regreso['IEDUPartidas'].'</table>' ;}



    $CadenaOriginalTODO = '||1.1|'.$regreso['UUID'].'|'.$regreso['FechaTimbrado'].'|'.$regreso['selloCFD'].'|'.$regreso['noCertificadoSAT'].'||';

    $CadenaOriginalPedacitos = wordwrap($CadenaOriginalTODO,90,'<br />',true);

	$ULTIMOS8 = substr($regreso['selloCFD'], -8);



    /*QR*/

    $total_formato_6 = number_format($regreso['total'],6,'.','');

    $codigoBarras="https://verificacfdi.facturaelectronica.sat.gob.mx/default.aspx&?id=".$regreso['UUID']."&re=".$regreso['rfcE']."&rr=".$regreso['rfcR']."&tt=".rellena($total_formato_6,'0',10)."&fe=".$ULTIMOS8;

	

    QRcode::png(trim($codigoBarras), 'pdf/qr/test.png', 'L',0,0);



    /*IMPORTE LETRA*/

    require("pdf/ImporteConLetra.php");

    $numero= new ImporteConLetra();

    $numero->setNumero($regreso['total']);

	

	/*Estatus = cancelado*/

	

	if($Estatus=='Cancelado' or $Estatus=='cancelado'){

		

		$regreso['Estatus'] = 

		'<tr><td colspan="2" style=" text-align:center; color:#8B0000; font-size:30px;" ><strong>CFDI Cancelado</strong></td></tr>';	

		

	}



    $var="";

    $var = '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<link rel="STYLESHEET" href="pdf/print_statics.css" type="text/css" />



</head>



<body>

<div id="body">



<div id="section_header">

</div>



<div id="content">

  

<div class="page" style="font-size: 7pt">



<!--encabezado-->



<table style="width: 100%; " class="header" border="0">

<tr>

<td><img src="pdf/logos/LOGO_ULA.png" width="125" /> </td>

<td align="right" width="300px;" style="text-align: right; "  >



<h1 style="padding: 10px; margin:0px; text-align: center; background-color:rgb(0, 33, 142); color: #fff; ">FACTURA ELECTRÓNICA (CFDI)</h1>



<p id="p1">Folio Factura Interno:</p>



<p style=" color: darkred;"><strong>'.$regreso['serie'].$regreso['folio'].'</strong></p>



<p  id="p1">Folio Fiscal:</p>



<p >'.$regreso['UUID'].'</p>



<p id="p1" >No de Serie del Certificado del CSD:</p>

</td>

</tr>





<tr><td style="font-size: 12px; font-weight: bold; color:rgb(0, 33, 142);  ">'.$regreso['nombreE'].'</td>

<td style="text-align: right;"><p>'.$regreso['noCertificado'].'</p></td></tr>





</table>



<table style="width: 100%; font-size: 8pt; " border="0" >

<tr>



<td style="width:260px;" >R.F.C. '.$regreso['rfcE'].'<br/>

'.$regreso['calle'].' # '.' '.$regreso['noExterior'].' ' .$regreso['noInterior']. ', Col. '. $regreso['colonia'] . '<br/>

C.P. '. $regreso['codigoPostal'] .' Del. '.$regreso['municipio'].$regreso['localidad'].', '.$regreso['estado'].'<br/>

Tel: +52(55) 8500-8100<br/>

www.ula.edu.mx</td>



<td>



<strong>'.$regreso['Sucursal'].'</strong> <br/>

'.$regreso['calle1'].' #'. $regreso['noExterior1']. $regreso['noInterior1'].', Col.' .$regreso['colonia1'].'<br/>

Delg.'. $regreso['municipio1'].', ' .$regreso['estado1'].'<br/>

C.P.'.$regreso['codigoPostal1'].' TELS:<br/>

CORREO:<br/> </td>

</tr>

</table>



<table style=" border-bottom: 3px solid rgb(0, 33, 142); width: 100%;  font-size: 8pt;">

<tr>

<td style="text-align: right;"><p id="p1"> Lugar. fecha y hora de emisión:</p>

'.$regreso['LugarExpedicion'].' '.$regreso['fecha'].'</td>

</tr>

</table>



<table style="width: 100%; font-size: 8pt; " border="0" >

'.$regreso['Estatus'].'



<tr>

<td style="" ><p id="p1">Receptor:</p></td><td><p id="p1">&nbsp;</p></td></tr>



<tr><td>



<strong>'.$regreso['nombreR'].'</strong><br/>

<strong>'.$regreso['rfcR'].'</strong><br/>

 Uso CFDI: <strong>'. $regreso['UsoCFDI'].'</strong><br/>



'.$regreso['calle2'].' No. '.$regreso['noExterior2'].' '.$regreso['noInterior2'].', Col. '.$regreso['colonia2']. '<br/>

'. $regreso['municipio2'] .' '. $regreso['localidad2'] .', '.$regreso['stado2'].' ' .$regreso['pais2']. ' C.P. '.$regreso['codigoPostal2'].'<br/>

'.$regreso['referencia2'].'</td>



<td>

 MATRICULA DEL ALUMNO: '.  $regreso['MatriculaAlumno']. '<br/>

CONTROL INTERNO: '.$regreso['FInterno'] .'<br/>

NOMBRE ALUMNO: '.$regreso['NombreAlumno'].'<br/>

CURP: '.$regreso['CurpAddenda'].'<br/>

</td>

</tr>

</table>



<table class="change_order_items" border="0">

<tbody>

<tr>

<td>cantidad</td>

<td>Clave<br/>

Prod/Servicio</td>



<td>Unidad</td>

<td>Description</td>

<td>Clave Unidad</td>

<td >Precio Unitario</td>

<td>Importe</td>

</tr>



'.$regreso['partidasConcepto'].'



</tbody>



<tr >

<td colspan="5" style="text-align: left; border-right-style: none;"><strong></strong></td>

<td colspan="1" style="text-align: right; border-right-style: none;"><strong>SUBTOTAL:</strong></td>

<td colspan="1" style="text-align: right; border-right-style: none;">$ '.$regreso['subTotal'].'</td></tr>



<tr >

<td colspan="5" style="text-align: left; border-right-style: none;">

Tipo factor: <strong>'.$regreso['Traslado']['TipoFactor'].' </strong> impuesto: <strong>'.$regreso['Traslado']['impuesto'].'</strong></td>

<td colspan="1" style="text-align: right; border-right-style: none;">



 Tasa o cuota : <strong>'. number_format( intval( ($regreso['Traslado']['tasa']) * 100) ,2,'.',' ' ) .' %</strong></td>

<td colspan="1" style="text-align: right; border-right-style: none;">$ '.$regreso['TImpuestosTrasladados'] .'</td></tr>



<tr >

<td colspan="5" style="text-align: left; border-right-style: none;">Total con Letra: (<strong>'.$numero->letra().' '.$regreso['Moneda'].'</strong>) </td>

<td colspan="1" style="text-align: right; border-right-style: none;"><strong>TOTAL:</strong></td>

<td colspan="1" style="text-align: right; border-right-style: none;">$ '.$regreso['total'].'</td></tr></table>



<table style="width: 100%; font-size: 8pt; " border="0" >

<tr>

<td style="" ><strong>Condiciones de Pago:</strong> '. ($regreso['condicionesDePago']).'<br/>

Efectos Fiscales al Pago

</td>

<td><strong>Método de pago:</strong> ' . ($regreso['metodoDePago']).'<br/><strong>Forma de Pago:</strong> '. ($regreso['formaDePago']).'</td>

<td> No. Cuenta: '.$regreso['NumCtaPago'].'</td>

</tr>

</table>



'.$regreso['IEDUPartidas'].'



<table style=" border-top: 3px solid rgb(0, 33, 142);  width:100%;  font-size: 8pt; " border="0" >

<tr>

<td  style="font-size:9px; font-family: Consolas, monaco, monospace;  " ><strong style="font-size: 11px;">Sello Digital del SAT:</strong><br/>

'.wordwrap($regreso['selloSAT'],138,'<br>',true).'

</td></tr>



<tr><td  style="font-size:9px; font-family: Consolas, monaco, monospace;" >

<strong style="font-size: 11px; ">Sello Digital del Emisor:</strong><br>

'. wordwrap($regreso['selloCFD'],138,'<br>',true).'

</td></tr>



<tr><td style="font-size:9px; font-family: Consolas, monaco, monospace;" >

<strong style="font-size: 11px;">Certificado:</strong><br>

'. wordwrap($regreso['Certificado'],138,'<br>',true).'

</td></tr>



</table>



<table style=" border-bottom: 3px solid rgb(0, 33, 142);  width:100%;  font-size: 8pt; " border="0" >

<tr>

<td> <img src="pdf/qr/test.png" width="120px;"/> </td>



<td >

<strong>Cadena Original del complemento de certificación digital del SAT</strong><br>

'.$CadenaOriginalPedacitos.'<br/>

<strong>No de Serie del Certificado del SAT:</strong> '.$regreso['noCertificadoSAT'].'<br/>

<strong>Fecha y hora de certificación:</strong> '.$regreso['FechaTimbrado'].'<br/>

<strong>Versión:</strong> '.$regreso['Version'].'<br/>

<strong>RFC Prov Cert:</strong> '.$regreso['RfcProvCertif'].'<br/>



</td></tr>

</table>



<table style="  width:100%;  font-size: 8pt; "  border="0" >

<tr>

<td align="center"> <strong> Este documento es una representación impresa de un CFDI</strong></td></tr>

</table>





<table style="  width:100%;  font-size: 8pt; "  border="0" >



'.$regreso['regimen'].'



</table>



</div>



</div>

</div>



</body>

</html>';

    return $var;

}else{

	

	$var = '

	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<link rel="STYLESHEET" href="pdf/print_statics.css" type="text/css" />



</head>



<body>



<div id="body">



<div id="section_header">

</div>



<div id="content">

  

<div class="page" style="font-size: 7pt">



<!--encabezado-->

<table style="width: 100%; " class="header" border="0">

<tr>

<td><img src="pdf/logos/logo_empresarial.jpg" width="125" /> </td>

<td align="right" width="350px;" style="  text-align:center; color:#8B0000; font-size:25px;"  >

<strong>HAY UN ERROR CON TU FACTURA, FAVOR DE REPORTARLO al (55) 85008100 ext. 8292.</strong>

</td>

</tr>





<tr><td style="font-size: 12px; font-weight: bold; color:rgb(0, 33, 142);  ">'.$regreso['nombreE'].'</td>

<td style="text-align: right;">'.$autor['noCertificado'].'</td></tr>





</table>







</div>



</div>

</div>



</body>

</html>

';

	

	return $var;

}

}



$html = ejemplo($valor,$Finterno,$Ffacturar,$Estatus);



$dompdf->loadHtml($html);

$dompdf->setPaper('A4');

$dompdf->render();



$parametro = isset($_GET['parametro']) ? $_GET['parametro'] : "";



    if ($parametro == 'ver') {



        $filepath = "archivos/";

        $filepdf = 'Factura' . $ID2 . '.pdf';

        $output = $dompdf->output();

        file_put_contents($filepath . $filepdf, $output);



        /*header("Content-Type: application/force-download");

        header("Content-Disposition: attachment; filename=\"$filepdf\"");

        readfile($filepath . $filepdf);*/



        header ( 'Content-Description: File Transfer' );

        header ( 'Content-Type: application/pdf' );

        header ( 'Content-disposition: filename="Factura' . $ID2 . '.pdf"' );

        header ( 'Expires: 0' );

        header ( 'Cache-Control: must-revalidate' );

        header ( 'Pragma: public' );

        readfile($filepath . $filepdf);



        if( file_exists($filepath . $filepdf) ==true ){

            unlink($filepath . $filepdf);

        }



    } else {

        $filepath = "archivos/";

        $filepdf = 'Factura' . $ID2 . '.pdf';

        $output = $dompdf->output();

        file_put_contents($filepath . $filepdf, $output);



    }

    if (file_exists('pdf/qr/test.png') == true) {

        unlink('pdf/qr/test.png');

    }



